FROM node:14-alpine

WORKDIR /usr/src/app

RUN apk add postgresql-client

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
COPY package*.json ./

RUN npm ci --only=production

COPY . .

EXPOSE 8080

CMD [ "/bin/sh", "entrypoint.sh" ]
